path: /build/build/tcpreplay-net-analyzer-4.4.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="pcapnav tcpdump" emerge net-analyzer/tcpreplay -pv -t && \
    USE="pcapnav tcpdump" emerge -j ${JOBS} --nodeps net-analyzer/tcpreplay
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tcpreplay && luet-portage --dir /pkgdir/tcpreplay
    net-analyzer/tcpreplay && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c593931d9d16ee93d1aeb317dab62ec3da978d36433519709fdacc35c2276c85
  package:
    name: tcpreplay
    version: 4.4.4
    category: net-analyzer
    use_flags:
    - pcapnav
    - tcpdump
    requires:
    - name: libpcapnav
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: utilities for editing and replaying previously captured network traffic
    uri:
    - http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay
    license: BSD GPL-3
    buildtimestamp: 2023-08-23 23:21:45.566106742 +0000 UTC m=+124.335815492
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: '>=sys-devel/autogen-5.18.4[libopts] dev-libs/libdnet >=net-libs/libpcap-0.9
        tcpdump? ( net-analyzer/tcpdump ) pcapnav? ( net-libs/libpcapnav )'
      IUSE: debug pcapnav +tcpdump
      RDEPEND: '>=sys-devel/autogen-5.18.4[libopts] dev-libs/libdnet >=net-libs/libpcap-0.9
        tcpdump? ( net-analyzer/tcpdump ) pcapnav? ( net-libs/libpcapnav )'
      emerge.packages: net-analyzer/tcpreplay
      kit: net-kit
      original.package.name: net-analyzer/tcpreplay
      original.package.slot: "0"
      original.package.version: 4.4.4
    treedir: /build/packages
  package_dir: /pkgdir/tcpreplay
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e120c03d733563eaa9d89677e2d697ed98561b6490a0925a1da8481da02c3c3e
compressiontype: zstd
files:
- usr/bin/tcpbridge
- usr/bin/tcpcapinfo
- usr/bin/tcpliveplay
- usr/bin/tcpprep
- usr/bin/tcpreplay
- usr/bin/tcpreplay-edit
- usr/bin/tcprewrite
- usr/share/doc/tcpreplay-4.4.4/CHANGELOG.bz2
- usr/share/doc/tcpreplay-4.4.4/CREDIT.bz2
- usr/share/doc/tcpreplay-4.4.4/HACKING.bz2
- usr/share/doc/tcpreplay-4.4.4/TODO.bz2
- usr/share/man/man1/tcpbridge.1.bz2
- usr/share/man/man1/tcpcapinfo.1.bz2
- usr/share/man/man1/tcpliveplay.1.bz2
- usr/share/man/man1/tcpprep.1.bz2
- usr/share/man/man1/tcpreplay-edit.1.bz2
- usr/share/man/man1/tcpreplay.1.bz2
- usr/share/man/man1/tcprewrite.1.bz2
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/BDEPEND
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/BUILD_TIME
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/CATEGORY
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/CBUILD
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/CFLAGS
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/CHOST
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/CONTENTS
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/COUNTER
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/CXXFLAGS
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/DEFINED_PHASES
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/DEPEND
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/DESCRIPTION
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/EAPI
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/FEATURES
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/HOMEPAGE
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/INHERITED
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/IUSE
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/IUSE_EFFECTIVE
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/KEYWORDS
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/LDFLAGS
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/LICENSE
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/NEEDED
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/PF
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/RDEPEND
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/REQUIRES
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/SIZE
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/SLOT
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/USE
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/environment.bz2
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/repository
- var/db/pkg/net-analyzer/tcpreplay-4.4.4/tcpreplay-4.4.4.ebuild
package_cacheimage: ""
runtime:
  name: tcpreplay
  version: 4.4.4
  category: net-analyzer
  use_flags:
  - pcapnav
  - tcpdump
  requires:
  - name: libdnet
    version: '>=0'
    category: dev-libs
  - name: tcpdump
    version: '>=0'
    category: net-analyzer
  - name: libpcapnav
    version: '>=0'
    category: net-libs
  - name: autogen
    version: '>=0'
    category: sys-devel
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: utilities for editing and replaying previously captured network traffic
  uri:
  - http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay
  license: BSD GPL-3
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: '>=sys-devel/autogen-5.18.4[libopts] dev-libs/libdnet >=net-libs/libpcap-0.9
      tcpdump? ( net-analyzer/tcpdump ) pcapnav? ( net-libs/libpcapnav )'
    IUSE: debug pcapnav +tcpdump
    RDEPEND: '>=sys-devel/autogen-5.18.4[libopts] dev-libs/libdnet >=net-libs/libpcap-0.9
      tcpdump? ( net-analyzer/tcpdump ) pcapnav? ( net-libs/libpcapnav )'
    emerge.packages: net-analyzer/tcpreplay
    kit: net-kit
    original.package.name: net-analyzer/tcpreplay
    original.package.slot: "0"
    original.package.version: 4.4.4
